childprocess.cpp File Reference
`#include <wibble/sys/childprocess.h>`
`#include <stdlib.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <stdio.h>`
`#include <ctype.h>`
`#include <errno.h>`
`#include <sstream>`
Include dependency graph for childprocess.cpp:

## Namespaces

| wibble
| wibble::sys

## Functions

void | wibble::sys::funlockfile (FILE *)
void | wibble::sys::flockfile (FILE *)
void | wibble::sys::mkpipe (int *fds, int *infd, int *outfd, const char *err)
void | wibble::sys::renamefd (int _old, int _new, const char *err="...")